<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.TopUpPromotionMapper">

    <resultMap type="com.ssm.manage.entity.TopUpPromotion" id="TopUpPromotionMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="promotionNum" column="promotion_num" jdbcType="VARCHAR"/>
        <result property="promotionName" column="promotion_name" jdbcType="VARCHAR"/>
        <result property="storeId" column="store_id" jdbcType="INTEGER"/>
        <result property="typeRatio" column="type_ratio" jdbcType="NUMERIC"/>
        <result property="storeName" column="store_name" jdbcType="VARCHAR"/>
        <result property="rechargePromotionName" column="recharge_promotion_name" jdbcType="VARCHAR"/>
        <result property="discount" column="discount" jdbcType="NUMERIC"/>
        <result property="state" column="state" jdbcType="INTEGER"/>
        <result property="type" column="type" jdbcType="INTEGER"/>
        <result property="rechargeMoney" column="recharge_money" jdbcType="NUMERIC"/>
        <result property="giftMoney" column="gift_money" jdbcType="NUMERIC"/>
        <result property="founderStaff" column="founder_staff" jdbcType="VARCHAR"/>
        <result property="founderDatetime" column="Founder_datetime" jdbcType="TIMESTAMP"/>
        <result property="modifyBy" column="modify_by" jdbcType="VARCHAR"/>
        <result property="modifyDatetime" column="modify_datetime" jdbcType="TIMESTAMP"/>
        <result property="validTime" column="valid_time" jdbcType="INTEGER"/>
        <result property="discountFreeName" column="discount_free_name" jdbcType="VARCHAR"/>
        <result property="discountFreeAmount" column="discount_free_amount" jdbcType="NUMERIC"/>
        <result property="startDates" column="start_dates" jdbcType="TIMESTAMP"/>
        <result property="stopDates" column="stop_dates" jdbcType="TIMESTAMP"/>
    </resultMap>


</mapper>

